import 'package:flutter/material.dart';

class ExampleGroup {
  const ExampleGroup({
    required this.title,
    required this.examples,
  });

  final String title;
  final List<Example> examples;
}

class Example {
  const Example({
    required this.title,
    required this.icon,
    required this.path,
    required this.builder,
    this.isScrollable = true,
  });

  final String title;
  final IconData icon;
  final String path;
  final WidgetBuilder builder;
  final bool isScrollable;
}

class ExampleContainer extends StatelessWidget {
  const ExampleContainer(
    this.example, {
    Key? key,
  }) : super(key: key);

  final Example example;

  @override
  Widget build(BuildContext context) {
    final child = example.builder(context);

    return Scaffold(
      appBar: AppBar(
        title: Text(example.title),
      ),
      body: Center(
        child: example.isScrollable
            ? SingleChildScrollView(child: child) //
            : child,
      ),
    );
  }
}
